"use strict";
const common_libraries_request = require("../common/libraries/request.js");
require("../common/store/useWatermarkStore.js");
require("../common/store/useWeAppAuthStore.js");
require("../common/store/useWorkStore.js");
const Apis = {
  Archive: {
    HouseOccupants: {
      List(data) {
        return common_libraries_request.request("employee/archive/house_occupants/list", { data });
      },
      GetCustomerHouse(data) {
        return common_libraries_request.request("employee/archive/house_occupants/get_customer_house", { data });
      },
      GetHouseOccupants(data) {
        return common_libraries_request.request("employee/archive/house_occupants/get_house_occupants", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/archive/house_occupants/show", { data });
      },
      GetHouseOccupantsByPhone(data) {
        return common_libraries_request.request("employee/archive/house_occupants/get_house_occupants_by_phone", { data });
      },
      ChangeContact(data) {
        return common_libraries_request.request("employee/archive/house_occupants/change_contact", { data });
      }
    },
    HouseRegisters: {
      Store(data) {
        return common_libraries_request.request("employee/archive/house_registers/store", { data });
      },
      RegisterHouse(data) {
        return common_libraries_request.request("employee/archive/house_registers/register_house", { data });
      },
      Unbind(data) {
        return common_libraries_request.request("employee/archive/house_registers/unbind", { data });
      },
      RemoveOwner(data) {
        return common_libraries_request.request("employee/archive/house_registers/remove_owner", { data });
      },
      ChangeOccupant(data) {
        return common_libraries_request.request("employee/archive/house_registers/change_occupant", { data });
      }
    }
  },
  Asset: {
    AssetHouses: {
      SelectProject(data) {
        return common_libraries_request.request("employee/asset/asset_houses/select_project", { data });
      },
      SelectPermissionProject(data) {
        return common_libraries_request.request("employee/asset/asset_houses/select_permission_project", { data });
      },
      SelectBuilding(data) {
        return common_libraries_request.request("employee/asset/asset_houses/select_building", { data });
      },
      SelectPermissionBuilding(data) {
        return common_libraries_request.request("employee/asset/asset_houses/select_permission_building", { data });
      },
      SelectUnit(data) {
        return common_libraries_request.request("employee/asset/asset_houses/select_unit", { data });
      },
      SelectPermissionUnit(data) {
        return common_libraries_request.request("employee/asset/asset_houses/select_permission_unit", { data });
      },
      SelectHouse(data) {
        return common_libraries_request.request("employee/asset/asset_houses/select_house", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/asset/asset_houses/show", { data });
      }
    },
    AssetProjectAdmins: {
      List(data) {
        return common_libraries_request.request("employee/asset/asset_project_admins/list", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/asset/asset_project_admins/show", { data });
      }
    }
  },
  Attendance: {
    AttendanceEmployeeTracks: {
      MyTracks(data) {
        return common_libraries_request.request("employee/attendance/attendance_employee_tracks/my_tracks", { data });
      },
      Track(data) {
        return common_libraries_request.request("employee/attendance/attendance_employee_tracks/track", { data });
      }
    },
    AttendanceRecords: {
      Checkin(data) {
        return common_libraries_request.request("employee/attendance/attendance_records/checkin", { data });
      },
      Makeup(data) {
        return common_libraries_request.request("employee/attendance/attendance_records/makeup", { data });
      },
      MyRecords(data) {
        return common_libraries_request.request("employee/attendance/attendance_records/my_records", { data });
      },
      RecordDetail(data) {
        return common_libraries_request.request("employee/attendance/attendance_records/record_detail", { data });
      }
    },
    AttendanceSchedules: {
      MySchedules(data) {
        return common_libraries_request.request("employee/attendance/attendance_schedules/my_schedules", { data });
      },
      GetAttendanceSchedules() {
        return common_libraries_request.request("employee/attendance/attendance_schedules/get_attendance_schedules", {});
      },
      GetAttendanceShiftPeriod(data) {
        return common_libraries_request.request("employee/attendance/attendance_schedules/get_attendance_shift_period", { data });
      },
      GetAttendanceConfig() {
        return common_libraries_request.request("employee/attendance/attendance_schedules/get_attendance_config", {});
      }
    }
  },
  Banner: {
    BannerSpaces: {
      List(data) {
        return common_libraries_request.request("employee/banner/banner_spaces/list", { data });
      }
    }
  },
  Bill: {
    HouseBills: {
      HouseList(data) {
        return common_libraries_request.request("employee/bill/house_bills/house_list", { data });
      },
      HouseArrearageAmount(data) {
        return common_libraries_request.request("employee/bill/house_bills/house_arrearage_amount", { data });
      },
      List(data) {
        return common_libraries_request.request("employee/bill/house_bills/list", { data });
      },
      MonthBillDetail(data) {
        return common_libraries_request.request("employee/bill/house_bills/month_bill_detail", { data });
      },
      BillQRCode(data) {
        return common_libraries_request.request("employee/bill/house_bills/bill_q_r_code", { data });
      },
      GetOccupantArrearageHouses(data) {
        return common_libraries_request.request("employee/bill/house_bills/get_occupant_arrearage_houses", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/bill/house_bills/show", { data });
      }
    }
  },
  Collection: {
    HouseCollectionRecords: {
      List(data) {
        return common_libraries_request.request("employee/collection/house_collection_records/list", { data });
      },
      Store(data) {
        return common_libraries_request.request("employee/collection/house_collection_records/store", { data });
      },
      Update(data) {
        return common_libraries_request.request("employee/collection/house_collection_records/update", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/collection/house_collection_records/show", { data });
      },
      GetTaskRecords(data) {
        return common_libraries_request.request("employee/collection/house_collection_records/get_task_records", { data });
      }
    },
    HouseCollectionTasks: {
      List(data) {
        return common_libraries_request.request("employee/collection/house_collection_tasks/list", { data });
      },
      Store(data) {
        return common_libraries_request.request("employee/collection/house_collection_tasks/store", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/collection/house_collection_tasks/show", { data });
      }
    }
  },
  Company: {
    CompanyEmployeeBacklogs: {
      List(data) {
        return common_libraries_request.request("employee/company/company_employee_backlogs/list", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/company/company_employee_backlogs/show", { data });
      }
    },
    CompanyEmployeeCustomers: {
      List(data) {
        return common_libraries_request.request("employee/company/company_employee_customers/list", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/company/company_employee_customers/show", { data });
      },
      Delete(data) {
        return common_libraries_request.request("employee/company/company_employee_customers/delete", { data });
      }
    },
    CompanyEmployees: {
      Select(data) {
        return common_libraries_request.request("employee/company/company_employees/select", { data });
      }
    },
    CompanyProjectReceiptAccounts: {
      List(data) {
        return common_libraries_request.request("employee/company/company_project_receipt_accounts/list", { data });
      },
      GetDefaultReceiptAccounts(data) {
        return common_libraries_request.request("employee/company/company_project_receipt_accounts/get_default_receipt_accounts", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/company/company_project_receipt_accounts/show", { data });
      }
    }
  },
  Count: {
    CommonCount: {
      IndexCount() {
        return common_libraries_request.request("employee/count/common_count/index_count", {});
      }
    }
  },
  Customer: {
    CustomerHouses: {
      List(data) {
        return common_libraries_request.request("employee/customer/customer_houses/list", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/customer/customer_houses/show", { data });
      },
      HouseDetail(data) {
        return common_libraries_request.request("employee/customer/customer_houses/house_detail", { data });
      }
    },
    CustomerMomentTasks: {
      List(data) {
        return common_libraries_request.request("employee/customer/customer_moment_tasks/list", { data });
      },
      Store(data) {
        return common_libraries_request.request("employee/customer/customer_moment_tasks/store", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/customer/customer_moment_tasks/show", { data });
      }
    },
    CustomerMoments: {
      Show(data) {
        return common_libraries_request.request("employee/customer/customer_moments/show", { data });
      },
      UploadMedia(data) {
        return common_libraries_request.request("employee/customer/customer_moments/upload_media", { data });
      },
      UploadImage(data) {
        return common_libraries_request.request("employee/customer/customer_moments/upload_image", { data });
      }
    },
    CustomerOpinions: {
      Store(data) {
        return common_libraries_request.request("employee/customer/customer_opinions/store", { data });
      }
    }
  },
  Emergency: {
    EmergencyEventCategories: {
      List(data) {
        return common_libraries_request.request("employee/emergency/emergency_event_categories/list", { data });
      },
      TreeList(data) {
        return common_libraries_request.request("employee/emergency/emergency_event_categories/tree_list", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/emergency/emergency_event_categories/show", { data });
      },
      Select(data) {
        return common_libraries_request.request("employee/emergency/emergency_event_categories/select", { data });
      },
      SelectTree(data) {
        return common_libraries_request.request("employee/emergency/emergency_event_categories/select_tree", { data });
      }
    },
    EmergencyEventFollows: {
      List(data) {
        return common_libraries_request.request("employee/emergency/emergency_event_follows/list", { data });
      },
      Store(data) {
        return common_libraries_request.request("employee/emergency/emergency_event_follows/store", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/emergency/emergency_event_follows/show", { data });
      }
    },
    EmergencyEventLevels: {
      List(data) {
        return common_libraries_request.request("employee/emergency/emergency_event_levels/list", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/emergency/emergency_event_levels/show", { data });
      },
      Select(data) {
        return common_libraries_request.request("employee/emergency/emergency_event_levels/select", { data });
      }
    },
    EmergencyEventTeams: {
      List(data) {
        return common_libraries_request.request("employee/emergency/emergency_event_teams/list", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/emergency/emergency_event_teams/show", { data });
      },
      GetPermission(data) {
        return common_libraries_request.request("employee/emergency/emergency_event_teams/get_permission", { data });
      },
      Select(data) {
        return common_libraries_request.request("employee/emergency/emergency_event_teams/select", { data });
      }
    },
    EmergencyEvents: {
      List(data) {
        return common_libraries_request.request("employee/emergency/emergency_events/list", { data });
      },
      Store(data) {
        return common_libraries_request.request("employee/emergency/emergency_events/store", { data });
      },
      Update(data) {
        return common_libraries_request.request("employee/emergency/emergency_events/update", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/emergency/emergency_events/show", { data });
      },
      ApplyClose(data) {
        return common_libraries_request.request("employee/emergency/emergency_events/apply_close", { data });
      },
      Select(data) {
        return common_libraries_request.request("employee/emergency/emergency_events/select", { data });
      }
    }
  },
  GoodsReleases: {
    GoodsReleases: {
      ScanRelease(data) {
        return common_libraries_request.request("employee/goods_releases/goods_releases/scan_release", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/goods_releases/goods_releases/show", { data });
      }
    }
  },
  Grid: {
    GridRanges: {
      List(data) {
        return common_libraries_request.request("employee/grid/grid_ranges/list", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/grid/grid_ranges/show", { data });
      }
    },
    Grids: {
      List(data) {
        return common_libraries_request.request("employee/grid/grids/list", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/grid/grids/show", { data });
      },
      CountGridHouse() {
        return common_libraries_request.request("employee/grid/grids/count_grid_house", {});
      },
      GridAssetProject(data) {
        return common_libraries_request.request("employee/grid/grids/grid_asset_project", { data });
      },
      GridAssetBuilding(data) {
        return common_libraries_request.request("employee/grid/grids/grid_asset_building", { data });
      },
      GridAssetUnit(data) {
        return common_libraries_request.request("employee/grid/grids/grid_asset_unit", { data });
      },
      GridAssetHouse(data) {
        return common_libraries_request.request("employee/grid/grids/grid_asset_house", { data });
      },
      GridSelectHouse(data) {
        return common_libraries_request.request("employee/grid/grids/grid_select_house", { data });
      }
    }
  },
  HouseOrder: {
    HouseOrders: {
      Store(data) {
        return common_libraries_request.request("employee/house_order/house_orders/store", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/house_order/house_orders/show", { data });
      },
      GetPayQrCode(data) {
        return common_libraries_request.request("employee/house_order/house_orders/get_pay_qr_code", { data });
      },
      AlipayQrCode(data) {
        return common_libraries_request.request("employee/house_order/house_orders/alipay_qr_code", { data });
      }
    }
  },
  Login: {
    Auth: {
      Login(data) {
        return common_libraries_request.request("employee/login/auth/login", { data });
      },
      Logout() {
        return common_libraries_request.request("employee/login/auth/logout", {});
      },
      Me() {
        return common_libraries_request.request("employee/login/auth/me", {});
      },
      ChangeAvatar(data) {
        return common_libraries_request.request("employee/login/auth/change_avatar", { data });
      },
      BindPhoneNumber(data) {
        return common_libraries_request.request("employee/login/auth/bind_phone_number", { data });
      },
      SendValidateSms(data) {
        return common_libraries_request.request("employee/login/auth/send_validate_sms", { data });
      },
      GetAccessToken(data) {
        return common_libraries_request.request("employee/login/auth/get_access_token", { data });
      },
      WorkLogin(data) {
        return common_libraries_request.request("employee/login/auth/work_login", { data });
      },
      BindWork(data) {
        return common_libraries_request.request("employee/login/auth/bind_work", { data });
      },
      GetWorkAccessToken(data) {
        return common_libraries_request.request("employee/login/auth/get_work_access_token", { data });
      },
      PreUpload(data) {
        return common_libraries_request.request("employee/login/auth/pre_upload", { data });
      },
      TemporaryUrl(data) {
        return common_libraries_request.request("employee/login/auth/temporary_url", { data });
      }
    }
  },
  Meter: {
    HouseMeterReadings: {
      List(data) {
        return common_libraries_request.request("employee/meter/house_meter_readings/list", { data });
      },
      GetMeterDetail(data) {
        return common_libraries_request.request("employee/meter/house_meter_readings/get_meter_detail", { data });
      },
      Store(data) {
        return common_libraries_request.request("employee/meter/house_meter_readings/store", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/meter/house_meter_readings/show", { data });
      }
    },
    HouseMeters: {
      List(data) {
        return common_libraries_request.request("employee/meter/house_meters/list", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/meter/house_meters/show", { data });
      }
    }
  },
  Msg: {
    MsgPropertyAnnouncements: {
      List(data) {
        return common_libraries_request.request("employee/msg/msg_property_announcements/list", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/msg/msg_property_announcements/show", { data });
      },
      MarkAsRead(data) {
        return common_libraries_request.request("employee/msg/msg_property_announcements/mark_as_read", { data });
      },
      CountMsg() {
        return common_libraries_request.request("employee/msg/msg_property_announcements/count_msg", {});
      }
    }
  },
  Patrol: {
    PatrolTaskLocations: {
      GetPatrolTaskList(data) {
        return common_libraries_request.request("employee/patrol/patrol_task_locations/get_patrol_task_list", { data });
      },
      Store(data) {
        return common_libraries_request.request("employee/patrol/patrol_task_locations/store", { data });
      },
      GetPatrolTaskLocation(data) {
        return common_libraries_request.request("employee/patrol/patrol_task_locations/get_patrol_task_location", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/patrol/patrol_task_locations/show", { data });
      }
    }
  },
  Survey: {
    Surveys: {
      List() {
        return common_libraries_request.request("employee/survey/surveys/list", {});
      },
      Questions(data) {
        return common_libraries_request.request("employee/survey/surveys/questions", { data });
      },
      SubmitResponse(data) {
        return common_libraries_request.request("employee/survey/surveys/submit_response", { data });
      }
    }
  },
  Visitor: {
    VisitorApplies: {
      Scan(data) {
        return common_libraries_request.request("employee/visitor/visitor_applies/scan", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/visitor/visitor_applies/show", { data });
      }
    }
  },
  WorkOrder: {
    HouseWorkLogs: {
      List(data) {
        return common_libraries_request.request("employee/work_order/house_work_logs/list", { data });
      },
      Store(data) {
        return common_libraries_request.request("employee/work_order/house_work_logs/store", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/work_order/house_work_logs/show", { data });
      }
    },
    HouseWorkOrders: {
      List(data) {
        return common_libraries_request.request("employee/work_order/house_work_orders/list", { data });
      },
      MySubmitList(data) {
        return common_libraries_request.request("employee/work_order/house_work_orders/my_submit_list", { data });
      },
      GetHouseWorkOrders(data) {
        return common_libraries_request.request("employee/work_order/house_work_orders/get_house_work_orders", { data });
      },
      Store(data) {
        return common_libraries_request.request("employee/work_order/house_work_orders/store", { data });
      },
      Show(data) {
        return common_libraries_request.request("employee/work_order/house_work_orders/show", { data });
      },
      GetWorkOrderPayQrCode(data) {
        return common_libraries_request.request("employee/work_order/house_work_orders/get_work_order_pay_qr_code", { data });
      },
      GetWorkOrderAlipayQrCode(data) {
        return common_libraries_request.request("employee/work_order/house_work_orders/get_work_order_alipay_qr_code", { data });
      },
      Accept(data) {
        return common_libraries_request.request("employee/work_order/house_work_orders/accept", { data });
      },
      Close(data) {
        return common_libraries_request.request("employee/work_order/house_work_orders/close", { data });
      },
      UnassignedList(data) {
        return common_libraries_request.request("employee/work_order/house_work_orders/unassigned_list", { data });
      },
      Receive(data) {
        return common_libraries_request.request("employee/work_order/house_work_orders/receive", { data });
      },
      Assign(data) {
        return common_libraries_request.request("employee/work_order/house_work_orders/assign", { data });
      },
      GetAssignPermission(data) {
        return common_libraries_request.request("employee/work_order/house_work_orders/get_assign_permission", { data });
      }
    }
  }
};
exports.Apis = Apis;
